List of livestream sessions
GET
/shops/{SHOP_ID}/livestream_managerGet list of livestream sessions
Path parameters
SHOP_IDintegerrequiredShop ID
Query parameters
pageintegerPage number
page_sizeintegerPage size
Responses
LivestreamManagerLivestream session information
creatorobjectCreator information
end_timestringEnd time of the livestream session
finisherobjectFinisher information
idstringLivestream session ID
inserted_atstringCreated date
namestringLivestream session name (campaign)
origin_post_idstringOrigin post ID
post_idsarray<string>List of post IDs
remain_warehouse_idsarray<string>List of inventory sync warehouse IDs
shop_idintegerShop ID
start_timestringStart time of the livestream session
total_commentsintegerTotal number of comments
total_customersintegerTotal number of customers
warehouse_idstringOrder creation warehouse ID
Request
curl "https://pos.pages.fm/api/v1/shops/{SHOP_ID}/livestream_manager?api_key=API_KEY"Response 200
{
"success": true,
"data": [
{
"creator": {
"avatar_url": null,
"fb_id": "101281316987922",
"id": "b0097b97-8520-4a16-a89b-4ddcd76c3ec8",
"name": "Trần Ngọc Hoa"
},
"end_time": "2026-01-23T10:10:21",
"finisher": {
"avatar_url": null,
"fb_id": "101281316987922",
"id": "b0097b97-8520-4a16-a89b-4ddcd76c3ec8",
"name": "Trần Ngọc Hoa"
},
"id": "60cc3e38-f4e7-44d7-ba30-911ce398b46a",
"inserted_at": "2026-01-22T12:26:13.000000",
"name": "Live tối 22/1",
"origin_post_id": null,
"post_ids": [
"105112292515661_1080067970899442"
],
"remain_warehouse_ids": [
"e2f0f8db-9937-4293-88a6-67637c6f4c25"
],
"shop_id": 4,
"start_time": "2026-01-22T12:31:10",
"total_comments": 753,
"total_customers": 262,
"warehouse_id": "e2f0f8db-9937-4293-88a6-67637c6f4c25"
}
],
"page_number": 1,
"page_size": 30,
"total_entries": 1,
"total_pages": 1
}